Update API key

You can update a temporary API key by sending a PUT request to the temporary keys endpoint. ## Path parameters - `id` *string*: The ID of the temporary API key to update. ## Body - `name` *string*: The name of the temporary API key. - `expiry_date` *string*: The expiry date of the temporary API key. - `is_test` *boolean*: Is this a test key or a prod key - `prefix` *string*: The prefix of the temporary API key.

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

idstringRequired
The ID of the temporary API key to update.

Request

This endpoint expects an object.
namestringOptional
The name of the temporary API key.
expiry_datestringOptional
The expiry date of the temporary API key.
is_testbooleanOptional
Is this a test key or a prod key
prefixstringOptional
The prefix of the temporary API key.

Response

Successful response for Update API key

Errors

401
Unauthorized Error